@import '../mixins/';

$ball-color: color('secondary', 'default');
$ball-gradient: linear-gradient(0deg, #D99266, #a81818, #D99266);
$neon-text-color: color('teals', 'default');
$off-white: color('whites', 'dark');

/* Animate neon flicker */
@keyframes flicker {

  0%,
  19%,
  21%,
  23%,
  25%,
  54%,
  56%,
  100% {
    text-shadow:
      -0.2rem -0.2rem 1rem $off-white,
      0.2rem 0.2rem 1rem $off-white,
      0 0 2rem $neon-text-color,
      0 0 4rem $neon-text-color,
      0 0 6rem $neon-text-color,
      0 0 8rem $neon-text-color,
      0 0 10rem $neon-text-color;
  }

  ;

  20%,
  24%,
  55% {
    text-shadow: none;
    box-shadow: none;
  }
}

/* Animate ball hover */
@keyframes ballHover {

  0%,
  10%,
  100% {
    top: 7rem;
  }

  50% {
    top: 9rem;
  }
}

.section-home {
  padding: 5rem 3rem 3rem;
  position: relative;
  height: 100%;
  width: 100%;

  .home-bg {
    position: absolute;
    right: 0;
    top: 0;
    left: 0;
    bottom: 0;
    background-position: center;
    background-repeat: no-repeat;
    opacity: .4;
  }

  .section-home-text {
    position: absolute;
    top: calc(50% - 170px);
    left: 0;
    right: 0;
    text-align: center;
    padding: 0rem 2rem;

    h2 {
      border-radius: 1rem;
      color: color('grays', 'light');
      font-size: 3rem;
      animation: flicker 1.5s infinite alternate;
      margin-bottom: 1rem;
      text-transform: uppercase;
    }

    p {
      font-size: 2rem;
      margin-top: 1rem;
      font-weight: 600;
      color: color('secondary', 'default');
      text-shadow: 1px 1px 3px color('blacks', 'default');
    }
  }
}

.ball-container {
  height: 100%;
  font-size: 75px;
  overflow: hidden;
  position: relative;
}

.ball {
  position: absolute;
  right: calc(50% - 20rem);
  width: 4rem;
  height: 4rem;
  border-radius: 50%;
  background: $ball-color;
  background-image: radial-gradient(circle at top,
      $ball-color,
      75%, #c03918);
  box-shadow:
    0 0 0.5em 0 rgba(255, 219, 16, 0.719),
    0 0 0.75em 0 $ball-color,
  ;
  animation:
    ballHover 5s infinite ease-in-out,
}

@media only screen and (max-width: 830px) {
  .ball {
    display: none;
  }
}